QGIS Server: Opacity not working in GetMap requests

2013-04-18 08:57 AM - Andreas Neumann

Status: Closed

Priority: Severe/Regression

Assignee: Marco Hugentobler

Category:

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:No Copied to github as #: 16565

Description

Currently, the opacity values are ignored in GetMap requests:

here is a sample request:

http://webgis.uster.ch/wms/av/grundplan_av_farbig?LAYERS=Bodenbedeckung%20Fl%C3%A4che%20detailliert&#38;OPACITIES=2

5&#38;FORMAT=image%2Fpng%3B%20mode%3D8bit&#38;DPI=96&#38;SERVICE=WMS&#38;VERSION=1.1.1&#38;REQUEST=GetMap&#38;STYLES=&#38;SRS=EPSG%3A21781&#38;BBOX=696329.11392406,245429.99701281,696623.41772152,245658.61058213&#38

etMap&#38;STYLES=&#38;SRS=EPSG%3A21781&#38;BBOX=696329.11392406,245429.99701281,696623.41772152,245658.61058213&#38;WIDTH=1017&#38;HEIGHT=790

8213&#38;WIDTH=1017&#38;HEIGHT=790

The image always appears with no transparency - regardless of the opacity value.

Thank you for having a look at this problem!

History

#1 - 2013-04-18 09:01 AM - Andreas Neumann

seems to be kind of a list index issue.

If I add a second opacity value (although only one layer is requested), then the image appears transparent.

see this URL

http://webgis.uster.ch/wms/av/grundplan_av_farbig?LAYERS=Bodenbedeckung%20Fl%C3%A4che%20detailliert&#38;OPACITIES=99,99&#38;FORM

T=image%2Fpng%3B%20mode%3D8bit&#38;DPI=96&#38;SERVICE=WMS&#38;VERSION=1.1.1&#38;REQUEST=GetMap&#38;STYLES=&#38;SRS=EPSG%3A21781&#38;BBOX=696329.11392406,245429.99701281,696623.41772152,245658.61058213&#38;WIDTH=1017&#38;HEIGHT=790

=EPSG%3A21781&#38;BBOX=696329.11392406,245429.99701281,696623.41772152,245658.61058213&#38;WIDTH=1017&#38;HEIGHT=790

#2 - 2013-04-18 09:02 AM - Andreas Neumann

The first link submitted should be with an opacity of 100 or so - sorry for posting the one link with 255

#3 - 2013-05-25 08:07 AM - Marco Hugentobler

- Status changed from Open to Feedback

Is this still true with current master? I cannot reproduce the bug with my local installation (unless it is something that only happens with special project

configurations).
http://webgis.uster.ch/wms/av/grundplan_av_farbig?LAYERS=Bodenbedeckung%20Fl%C3%A4che%20detailliert&#38;OPACITIES=255&#38;FORMAT=image%2Fpng%3B%20mode%3D8bit&#38;DPI=96&#38;SERVICE=WMS&#38;VERSION=1.1.1&#38;REQUEST=GetMap&#38;STYLES=&#38;SRS=EPSG%3A21781&#38;BBOX=696329.11392406,245429.99701281,696623.41772152,245658.61058213&#38;WIDTH=1017&#38;HEIGHT=790
http://webgis.uster.ch/wms/av/grundplan_av_farbig?LAYERS=Bodenbedeckung%20Fl%C3%A4che%20detailliert&#38;OPACITIES=255&#38;FORMAT=image%2Fpng%3B%20mode%3D8bit&#38;DPI=96&#38;SERVICE=WMS&#38;VERSION=1.1.1&#38;REQUEST=GetMap&#38;STYLES=&#38;SRS=EPSG%3A21781&#38;BBOX=696329.11392406,245429.99701281,696623.41772152,245658.61058213&#38;WIDTH=1017&#38;HEIGHT=790
http://webgis.uster.ch/wms/av/grundplan_av_farbig?LAYERS=Bodenbedeckung%20Fl%C3%A4che%20detailliert&#38;OPACITIES=255&#38;FORMAT=image%2Fpng%3B%20mode%3D8bit&#38;DPI=96&#38;SERVICE=WMS&#38;VERSION=1.1.1&#38;REQUEST=GetMap&#38;STYLES=&#38;SRS=EPSG%3A21781&#38;BBOX=696329.11392406,245429.99701281,696623.41772152,245658.61058213&#38;WIDTH=1017&#38;HEIGHT=790
http://webgis.uster.ch/wms/av/grundplan_av_farbig?LAYERS=Bodenbedeckung%20Fl%C3%A4che%20detailliert&#38;OPACITIES=255&#38;FORMAT=image%2Fpng%3B%20mode%3D8bit&#38;DPI=96&#38;SERVICE=WMS&#38;VERSION=1.1.1&#38;REQUEST=GetMap&#38;STYLES=&#38;SRS=EPSG%3A21781&#38;BBOX=696329.11392406,245429.99701281,696623.41772152,245658.61058213&#38;WIDTH=1017&#38;HEIGHT=790
http://webgis.uster.ch/wms/av/grundplan_av_farbig?LAYERS=Bodenbedeckung%20Fl%C3%A4che%20detailliert&#38;OPACITIES=99,99&#38;FORMAT=image%2Fpng%3B%20mode%3D8bit&#38;DPI=96&#38;SERVICE=WMS&#38;VERSION=1.1.1&#38;REQUEST=GetMap&#38;STYLES=&#38;SRS=EPSG%3A21781&#38;BBOX=696329.11392406,245429.99701281,696623.41772152,245658.61058213&#38;WIDTH=1017&#38;HEIGHT=790
http://webgis.uster.ch/wms/av/grundplan_av_farbig?LAYERS=Bodenbedeckung%20Fl%C3%A4che%20detailliert&#38;OPACITIES=99,99&#38;FORMAT=image%2Fpng%3B%20mode%3D8bit&#38;DPI=96&#38;SERVICE=WMS&#38;VERSION=1.1.1&#38;REQUEST=GetMap&#38;STYLES=&#38;SRS=EPSG%3A21781&#38;BBOX=696329.11392406,245429.99701281,696623.41772152,245658.61058213&#38;WIDTH=1017&#38;HEIGHT=790
http://webgis.uster.ch/wms/av/grundplan_av_farbig?LAYERS=Bodenbedeckung%20Fl%C3%A4che%20detailliert&#38;OPACITIES=99,99&#38;FORMAT=image%2Fpng%3B%20mode%3D8bit&#38;DPI=96&#38;SERVICE=WMS&#38;VERSION=1.1.1&#38;REQUEST=GetMap&#38;STYLES=&#38;SRS=EPSG%3A21781&#38;BBOX=696329.11392406,245429.99701281,696623.41772152,245658.61058213&#38;WIDTH=1017&#38;HEIGHT=790


#4 - 2013-05-26 12:11 PM - Giovanni Manghi

Marco Hugentobler wrote:

Is this still true with current master? I cannot reproduce the bug with my local installation (unless it is something that only happens with special

project configurations).

I don't know if is related, but the transparency slider on QGIS web client does not work (anymore). Using a build from 23rd of May.

#5 - 2013-05-27 05:59 AM - Andreas Neumann

- Resolution set to worksforme

it seems to be fixed in the current master.

@Giovanni: I'll have a look at the client. The last version I used in production in Uster still works fine with the opacity slider.

I will have to test with the master version.

I'll close this bug now.

#6 - 2013-05-27 05:59 AM - Andreas Neumann

- Status changed from Feedback to Closed
